Critical

CVE-2003-0150 - Unspecified vulnerability in Mysql

Publication: 2003-03-24
Summary

MySQL 3.23.55 and earlier creates world-writeable files and allows mysql users to gain root privileges by using the "SELECT * INFO OUTFILE" operator to overwrite a configuration file and cause mysql to run as root upon restart, as demonstrated by modifying my.cnf.

Risk level (CVSS 9)

Critical

9.0

Access Vector

  • Network
  • Adjacent Network
  • Local

Access Complexity

  • Low
  • Medium
  • High

Authentication

  • None
  • Single
  • Multiple

Confident. Impact

  • Complete
  • Partial
  • None

Integrity Impact

  • Complete
  • Partial
  • None

Affected Products

  • Mysql Mysql 3.23.52
  • Mysql Mysql 3.23.53
  • Mysql Mysql 3.23.53a
  • Mysql Mysql 3.23.54
  • Mysql Mysql 3.23.54a
  • Mysql Mysql 3.23.55